package OOXMLconvert;

import java.util.LinkedHashMap;

/**
 *
 * @author ferou
 */
public class PresentationMap extends LinkedHashMap<Object,Object>{
	
	/** prezentačný Key */
	private Object presentationKey;
	
	/**
	 * Konštruktor
	 */
	public PresentationMap() {
		super();
	}
	
	/**
	 * Konštruktor, ktorý nastaví prezentačný kľúč
	 * @param presentationKey prezentačný kľúč
	 */
	public PresentationMap(Object presentationKey) {
		this();
		setPresentationKey(presentationKey);
	}
	
	/**
	 * Funkcia nastaví prezentačný kľúč
	 * @param presentationKey prezentačný kľúč
	 */
	public void setPresentationKey(Object presentationKey) {
		this.presentationKey = presentationKey;
	}
	
	@Override
	public String toString() {
		try {
			Object obj = this.get(this.presentationKey);
			if (obj == null) {
				return "";
			}
			else {
				return obj.toString();
			}
		}
		catch (Exception e) {
			System.err.println(this.getClass().getName() + " (toString): " + e.toString());
			return "";
		}
	}

}
